Initialize a Secure Fields transaction

Proceed with the steps below to process Secure Fields payment transactions:

  • Call the /v1/transactions/secureFields endpoint to retrieve a transactionId. The success result of this API call is a HTTP 201 status code with a transactionId in the response body.
  • Initialize the SecureFields JavaScript library with the returned transactionId:
var secureFields = new SecureFields();
secureFields.init(
    transactionId, {
        cardNumber: "cardNumberPlaceholder",
        cvv: "cvvPlaceholder",
    });
  • Handle the success event of the secureFields.submit() call. Example success event data:
{
    "event":"success",
    "data": {
        "transactionId":"{transactionId}",
        "cardInfo":{"brand":"MASTERCARD","type":"credit","usage":"consumer","country":"CH","issuer":"DATATRANS"},
        "redirect":"https://pay.sandbox.datatrans.com/upp/v1/3D2/{transactionId}"
    }
}
  • If 3D authentication is required, the redirect property will indicate the URL that the browser needs to be redirected to.
  • Use the Authorize an authenticated transaction endpoint to authorize the Secure Fields transaction. This is required to finalize the authorization process with Secure Fields.
  • Use the transactionId to check the status and to settle, cancel or credit (refund) an transaction.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64

The amount of the transaction in the currency’s smallest unit. For example use 1000 for CHF 10.00.

string
required
length between 3 and 3

3 letter ISO-4217 character code. For example CHF or USD

string
required
length between 1 and 4000

The URL where the browser will be redirected after the 3D authentication process.

string
enum
Defaults to POST

The preferred HTTP method for the redirect request (GET or POST).

Allowed:
mcp
object
3D
object

Refer to the official EMVCo. specifications for parameter requirements.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Choose an example:
application/json